"""Add event column to hotel_location

Revision ID: 9595449dcb38
Revises: b9644d65529a
Create Date: 2019-11-20 22:58:29.614862

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9595449dcb38'
down_revision = 'b9644d65529a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('hotel_location', schema=None) as batch_op:
        batch_op.add_column(sa.Column('event', sa.Integer(), nullable=False))
        batch_op.create_foreign_key("event_fk", 'event', ['event'], ['id'])

    with op.batch_alter_table('hotel_room', schema=None) as batch_op:
        batch_op.drop_column('disable_autofill')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('hotel_location', schema=None) as batch_op:
        batch_op.drop_constraint("event_fk", type_='foreignkey')
        batch_op.drop_column('event')

    # ### end Alembic commands ###
