"""Initial

Revision ID: b9644d65529a
Revises: 
Create Date: 2019-11-19 19:57:27.954525

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b9644d65529a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('badge_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('description', sa.String(length=256), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('description', sa.String(length=256), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('grant',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user', sa.Integer(), nullable=True),
    sa.Column('role', sa.Integer(), nullable=True),
    sa.Column('department', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('group',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ribbon_to_badge',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('ribbon_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('description', sa.String(length=256), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('role',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=True),
    sa.Column('description', sa.String(length=128), nullable=True),
    sa.Column('event', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(length=80), nullable=False),
    sa.Column('email', sa.String(length=120), nullable=False),
    sa.Column('password', sa.String(length=128), nullable=True),
    sa.Column('active', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('username')
    )
    op.create_table('badge',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('event_id', sa.Integer(), nullable=False),
    sa.Column('printed_number', sa.String(length=32), nullable=True),
    sa.Column('printed_name', sa.String(length=256), nullable=False),
    sa.Column('search_name', sa.String(length=256), nullable=False),
    sa.Column('first_name', sa.String(length=128), nullable=False),
    sa.Column('last_name', sa.String(length=128), nullable=False),
    sa.Column('legal_name', sa.String(length=256), nullable=False),
    sa.Column('legal_name_matches', sa.Boolean(), nullable=True),
    sa.Column('email', sa.String(length=128), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('uber_id', sa.String(length=128), nullable=True),
    sa.ForeignKeyConstraint(['event_id'], ['event.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uber_id')
    )
    op.create_table('department',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uber_id', sa.String(length=128), nullable=True),
    sa.Column('description', sa.String(length=256), nullable=True),
    sa.Column('event_id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=256), nullable=True),
    sa.ForeignKeyConstraint(['event_id'], ['event.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uber_id')
    )
    op.create_table('email_source',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('description', sa.String(length=256), nullable=True),
    sa.Column('event', sa.Integer(), nullable=False),
    sa.Column('address', sa.String(length=128), nullable=False),
    sa.Column('region', sa.String(length=64), nullable=False),
    sa.Column('ses_access_key', sa.String(length=128), nullable=False),
    sa.Column('ses_secret_key', sa.String(length=128), nullable=False),
    sa.ForeignKeyConstraint(['event'], ['event.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('hotel_location',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=32), nullable=False),
    sa.Column('address', sa.String(length=128), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('hotel_room_block',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('event', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=128), nullable=True),
    sa.Column('description', sa.String(length=256), nullable=True),
    sa.ForeignKeyConstraint(['event'], ['event.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('hotel_room_night',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=16), nullable=False),
    sa.Column('event', sa.Integer(), nullable=False),
    sa.Column('restricted', sa.Boolean(), nullable=False),
    sa.Column('restriction_type', sa.String(length=64), nullable=True),
    sa.ForeignKeyConstraint(['event'], ['event.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('permission',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('operation', sa.String(length=64), nullable=True),
    sa.Column('role', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['role'], ['role.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('operation')
    )
    op.create_table('session',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('user', sa.Integer(), nullable=True),
    sa.Column('secret', sa.String(length=64), nullable=True),
    sa.Column('last_active', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['user'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('badge_to_department',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('badge', sa.Integer(), nullable=False),
    sa.Column('department', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['badge'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['department'], ['department.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('email',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=False),
    sa.Column('description', sa.String(length=256), nullable=False),
    sa.Column('event', sa.Integer(), nullable=False),
    sa.Column('code', sa.String(length=4096), nullable=True),
    sa.Column('subject', sa.String(length=4096), nullable=False),
    sa.Column('body', sa.String(length=4096), nullable=False),
    sa.Column('active', sa.Boolean(), nullable=False),
    sa.Column('send_once', sa.Boolean(), nullable=False),
    sa.Column('source', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['event'], ['event.id'], ),
    sa.ForeignKeyConstraint(['source'], ['email_source.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('hotel_anti_roommate_request',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('requester', sa.Integer(), nullable=False),
    sa.Column('requested', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['requested'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['requester'], ['badge.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('hotel_room',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=128), nullable=True),
    sa.Column('description', sa.String(length=256), nullable=True),
    sa.Column('hotel_block', sa.Integer(), nullable=False),
    sa.Column('hotel_location', sa.Integer(), nullable=False),
    sa.Column('disable_autofill', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['hotel_block'], ['hotel_room_block.id'], ),
    sa.ForeignKeyConstraint(['hotel_location'], ['hotel_location.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('hotel_room_request',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('badge', sa.Integer(), nullable=False),
    sa.Column('declined', sa.Boolean(), nullable=True),
    sa.Column('prefer_department', sa.Boolean(), nullable=True),
    sa.Column('preferred_department', sa.Integer(), nullable=True),
    sa.Column('notes', sa.String(length=512), nullable=True),
    sa.Column('prefer_single_gender', sa.Boolean(), nullable=True),
    sa.Column('preferred_gender', sa.String(length=64), nullable=True),
    sa.Column('noise_level', sa.String(length=64), nullable=True),
    sa.Column('smoke_sensitive', sa.Boolean(), nullable=True),
    sa.Column('sleep_time', sa.String(length=64), nullable=True),
    sa.Column('room_night_justification', sa.String(length=512), nullable=True),
    sa.ForeignKeyConstraint(['badge'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['preferred_department'], ['department.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('hotel_roommate_request',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('requester', sa.Integer(), nullable=False),
    sa.Column('requested', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['requested'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['requester'], ['badge.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('badge_to_room_night',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('badge', sa.Integer(), nullable=False),
    sa.Column('requested', sa.Boolean(), nullable=True),
    sa.Column('room_night', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['badge'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['room_night'], ['hotel_room_night.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('email_receipt',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('email', sa.Integer(), nullable=True),
    sa.Column('badge', sa.Integer(), nullable=True),
    sa.Column('source', sa.Integer(), nullable=True),
    sa.Column('to_address', sa.String(length=1024), nullable=False),
    sa.Column('from_address', sa.String(length=1024), nullable=False),
    sa.Column('subject', sa.String(length=4096), nullable=False),
    sa.Column('body', sa.String(length=4096), nullable=False),
    sa.Column('timestamp', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['badge'], ['badge.id'], ),
    sa.ForeignKeyConstraint(['email'], ['email.id'], ),
    sa.ForeignKeyConstraint(['source'], ['email_source.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('room_night_approval',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('room_night', sa.Integer(), nullable=False),
    sa.Column('department', sa.Integer(), nullable=False),
    sa.Column('approved', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['department'], ['department.id'], ),
    sa.ForeignKeyConstraint(['room_night'], ['badge_to_room_night.id'], name="room_night_approval_room_night_fkey"),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('room_night_approval')
    op.drop_table('email_receipt')
    op.drop_table('badge_to_room_night')
    op.drop_table('hotel_roommate_request')
    op.drop_table('hotel_room_request')
    op.drop_table('hotel_room')
    op.drop_table('hotel_anti_roommate_request')
    op.drop_table('email')
    op.drop_table('badge_to_department')
    op.drop_table('session')
    op.drop_table('permission')
    op.drop_table('hotel_room_night')
    op.drop_table('hotel_room_block')
    op.drop_table('hotel_location')
    op.drop_table('email_source')
    op.drop_table('department')
    op.drop_table('badge')
    op.drop_table('user')
    op.drop_table('role')
    op.drop_table('ribbon_type')
    op.drop_table('ribbon_to_badge')
    op.drop_table('group')
    op.drop_table('grant')
    op.drop_table('event')
    op.drop_table('badge_type')
    # ### end Alembic commands ###
