"""Add hotel_room column to badge_to_room_night

Revision ID: f60794f1f9fd
Revises: 9595449dcb38
Create Date: 2019-11-20 23:05:58.763619

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f60794f1f9fd'
down_revision = '9595449dcb38'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('badge_to_room_night', schema=None) as batch_op:
        batch_op.add_column(sa.Column('hotel_room', sa.INTEGER(), autoincrement=False, nullable=True))
        batch_op.create_foreign_key("hotel_room_fk", 'hotel_room', ['hotel_room'], ['id'])

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('badge_to_room_night', schema=None) as batch_op:
        batch_op.drop_constraint("hotel_room_fk", type_='foreignkey')
        batch_op.drop_column('hotel_room')

    # ### end Alembic commands ###
