"""Renouvating db

Revision ID: fc8aad836b90
Revises: a1869a1eb145
Create Date: 2019-11-21 22:28:17.477243

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'fc8aad836b90'
down_revision = 'a1869a1eb145'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('email_trigger',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('trigger', sa.String(length=128), nullable=False),
    sa.Column('badge', sa.Integer(), nullable=True),
    sa.Column('context', sa.String(length=4096), nullable=True),
    sa.ForeignKeyConstraint(['badge'], ['badge.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table('ribbon_type')
    op.drop_table('group')
    op.drop_table('ribbon_to_badge')
    op.drop_table('badge_type')
    with op.batch_alter_table('badge', schema=None) as batch_op:
        batch_op.alter_column('user_id', nullable=False, new_column_name='user')

    with op.batch_alter_table('department', schema=None) as batch_op:
        batch_op.alter_column('event_id', nullable=False, new_column_name='event')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('department', schema=None) as batch_op:
        batch_op.alter_column('event', nullable=False, new_column_name='event_id')
        
    with op.batch_alter_table('badge', schema=None) as batch_op:
        batch_op.alter_column('user', nullable=False, new_column_name='user_id')

    op.create_table('badge_type',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=128), autoincrement=False, nullable=False),
    sa.Column('description', sa.VARCHAR(length=256), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='badge_type_pkey'),
    sa.UniqueConstraint('name', name='badge_type_name_key')
    )
    op.create_table('ribbon_to_badge',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.PrimaryKeyConstraint('id', name='ribbon_to_badge_pkey')
    )
    op.create_table('group',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.PrimaryKeyConstraint('id', name='group_pkey')
    )
    op.create_table('ribbon_type',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(length=128), autoincrement=False, nullable=False),
    sa.Column('description', sa.VARCHAR(length=256), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='ribbon_type_pkey'),
    sa.UniqueConstraint('name', name='ribbon_type_name_key')
    )
    op.drop_table('email_trigger')
    # ### end Alembic commands ###
